[class*="_btn-"] {
  position: relative;
  display: inline-block;
  font-size: inherit;
  padding: 0.618rem 1rem;
  margin: 0.382rem;
  color: #FFF;
  letter-spacing: 1px;
  text-shadow: 0 1px 2px rgba(0, 0, 0, 0.9);
  background-color: #999;
  border: 0 solid;
  border-radius: 3px;
  text-align: center;
  text-decoration: none;
  transition: all 0.2s linear 0s;
}
[class*="_btn-"]:not(.-disabled) {
  cursor: pointer;
  background-color: #3B2D4A;
  box-shadow:
    0 1px 0 rgba(255, 255, 255, 0.25),
    0 1px 0 rgba(255, 255, 255, 0.25) inset,
    0 0 0 rgba(0, 0, 0, 0.5) inset,
    0 1.25rem 0 rgba(255, 255, 255, 0.08) inset,
    0 -1.25rem 1.25rem rgba(0, 0, 0, 0.3) inset,
    0 1.25rem 1.25rem rgba(255, 255, 255, 0.1) inset;
}


/* Hover and active states */

[class*="_btn-"]:not(.-disabled):hover,
[class*="_btn-"]:not(.-disabled):focus {
  text-decoration: none;
  box-shadow:
    0 2px 5px rgba(0, 0, 0, 0.5),
    0 1px 0 rgba(255, 255, 255, 0.25) inset,
    0 0 0 rgba(0, 0, 0, 0.25) inset,
    0 20px 0 rgba(255, 255, 255, 0.03) inset,
    0 -20px 20px rgba(0, 0, 0, 0.15) inset,
    0 20px 20px rgba(255, 255, 255, 0.05) inset;
}
[class*="_btn-"]:not(.-disabled):active {
  box-shadow:
    0 1px 0 rgba(255, 255, 255, 0.25),
    0 1px 0 rgba(255, 255, 255, 0) inset,
    0 0 5px rgba(0, 0, 0, 0.5) inset,
    0 20px 0 rgba(255, 255, 255, 0.03) inset,
    0 -20px 20px rgba(0, 0, 0, 0.15) inset,
    0 20px 20px rgba(255, 255, 255, 0.05) inset;
}


/* Shine */

[class*="_btn-"]:not(.-disabled)::before {
  content: "";
  display: block;
  position: absolute;
  background:linear-gradient(to right, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 50%,rgba(255,255,255,0) 100%);
  /*padding: x 12px;*/
  top: 0;
  left: 15%;
  height: 1px;
  width: 40%;
  box-shadow: 0 1px 5px rgba(255, 255, 255, 0.2);
  transition: all 0.3s ease-in-out 0s;
}
[class*="_btn-"]:not(.-disabled):active::before {
  opacity: 0;
}
[class*="_btn-"]:not(.-disabled):hover::before {
  left: 45%;
}
.-disabled{
  pointer-events: none;
  cursor: text;
}
